aagc.vo

## Class GetElencoPianoTerapeuticoDemRequest

- java.lang.Object
- - aagc.vo.GetElencoPianoTerapeuticoDemRequest

-     public class GetElencoPianoTerapeuticoDemRequest
      extends java.lang.Object

  Classe Java per getElencoPianoTerapeuticoDemRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="getElencoPianoTerapeuticoDemRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="pinCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="cfMedico" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="16"/>
                     <pattern value="[a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codRegione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="3"/>
                     <pattern value="[a-zA-Z0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codASLAo" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="3"/>
                     <pattern value="[a-zA-Z0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codStruttura" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="10"/>
                     <pattern value="[a-zA-Z]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codSpecializzazione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <minLength value="1"/>
                     <pattern value="[a-zA-Z]+"/>
                     <maxLength value="2"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="cfAssistito" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="16"/>
                     <pattern value="([a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="argomento" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z]*"/>
                     <maxLength value="16"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="listaPiani" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z]+"/>
                     <maxLength value="1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataInizioPeriodo" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataFinePeriodo" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `argomento`
    `protected java.lang.String` | `cfAssistito`
    `protected java.lang.String` | `cfMedico`
    `protected java.lang.String` | `codASLAo`
    `protected java.lang.String` | `codRegione`
    `protected java.lang.String` | `codSpecializzazione`
    `protected java.lang.String` | `codStruttura`
    `protected java.lang.String` | `dataFinePeriodo`
    `protected java.lang.String` | `dataInizioPeriodo`
    `protected java.lang.String` | `listaPiani`
    `protected java.lang.String` | `pinCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetElencoPianoTerapeuticoDemRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArgomento()` Recupera il valore della proprietà argomento.
    `java.lang.String` | `getCfAssistito()` Recupera il valore della proprietà cfAssistito.
    `java.lang.String` | `getCfMedico()` Recupera il valore della proprietà cfMedico.
    `java.lang.String` | `getCodASLAo()` Recupera il valore della proprietà codASLAo.
    `java.lang.String` | `getCodRegione()` Recupera il valore della proprietà codRegione.
    `java.lang.String` | `getCodSpecializzazione()` Recupera il valore della proprietà codSpecializzazione.
    `java.lang.String` | `getCodStruttura()` Recupera il valore della proprietà codStruttura.
    `java.lang.String` | `getDataFinePeriodo()` Recupera il valore della proprietà dataFinePeriodo.
    `java.lang.String` | `getDataInizioPeriodo()` Recupera il valore della proprietà dataInizioPeriodo.
    `java.lang.String` | `getListaPiani()` Recupera il valore della proprietà listaPiani.
    `java.lang.String` | `getPinCode()` Recupera il valore della proprietà pinCode.
    `void` | `setArgomento(java.lang.String value)` Imposta il valore della proprietà argomento.
    `void` | `setCfAssistito(java.lang.String value)` Imposta il valore della proprietà cfAssistito.
    `void` | `setCfMedico(java.lang.String value)` Imposta il valore della proprietà cfMedico.
    `void` | `setCodASLAo(java.lang.String value)` Imposta il valore della proprietà codASLAo.
    `void` | `setCodRegione(java.lang.String value)` Imposta il valore della proprietà codRegione.
    `void` | `setCodSpecializzazione(java.lang.String value)` Imposta il valore della proprietà codSpecializzazione.
    `void` | `setCodStruttura(java.lang.String value)` Imposta il valore della proprietà codStruttura.
    `void` | `setDataFinePeriodo(java.lang.String value)` Imposta il valore della proprietà dataFinePeriodo.
    `void` | `setDataInizioPeriodo(java.lang.String value)` Imposta il valore della proprietà dataInizioPeriodo.
    `void` | `setListaPiani(java.lang.String value)` Imposta il valore della proprietà listaPiani.
    `void` | `setPinCode(java.lang.String value)` Imposta il valore della proprietà pinCode.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pinCode

          protected java.lang.String pinCode

    - #### cfMedico

          protected java.lang.String cfMedico

    - #### codRegione

          protected java.lang.String codRegione

    - #### codASLAo

          protected java.lang.String codASLAo

    - #### codStruttura

          protected java.lang.String codStruttura

    - #### codSpecializzazione

          protected java.lang.String codSpecializzazione

    - #### cfAssistito

          protected java.lang.String cfAssistito

    - #### argomento

          protected java.lang.String argomento

    - #### listaPiani

          protected java.lang.String listaPiani

    - #### dataInizioPeriodo

          protected java.lang.String dataInizioPeriodo

    - #### dataFinePeriodo

          protected java.lang.String dataFinePeriodo

  - ### Constructor Detail

    - #### GetElencoPianoTerapeuticoDemRequest

          public GetElencoPianoTerapeuticoDemRequest()

  - ### Method Detail

    - #### getPinCode

          public java.lang.String getPinCode()

      Recupera il valore della proprietà pinCode.
      Returns:
        possible object is `String`

    - #### setPinCode

          public void setPinCode(java.lang.String value)

      Imposta il valore della proprietà pinCode.
      Parameters:
        `value` - allowed object is `String`

    - #### getCfMedico

          public java.lang.String getCfMedico()

      Recupera il valore della proprietà cfMedico.
      Returns:
        possible object is `String`

    - #### setCfMedico

          public void setCfMedico(java.lang.String value)

      Imposta il valore della proprietà cfMedico.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodRegione

          public java.lang.String getCodRegione()

      Recupera il valore della proprietà codRegione.
      Returns:
        possible object is `String`

    - #### setCodRegione

          public void setCodRegione(java.lang.String value)

      Imposta il valore della proprietà codRegione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodASLAo

          public java.lang.String getCodASLAo()

      Recupera il valore della proprietà codASLAo.
      Returns:
        possible object is `String`

    - #### setCodASLAo

          public void setCodASLAo(java.lang.String value)

      Imposta il valore della proprietà codASLAo.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodStruttura

          public java.lang.String getCodStruttura()

      Recupera il valore della proprietà codStruttura.
      Returns:
        possible object is `String`

    - #### setCodStruttura

          public void setCodStruttura(java.lang.String value)

      Imposta il valore della proprietà codStruttura.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodSpecializzazione

          public java.lang.String getCodSpecializzazione()

      Recupera il valore della proprietà codSpecializzazione.
      Returns:
        possible object is `String`

    - #### setCodSpecializzazione

          public void setCodSpecializzazione(java.lang.String value)

      Imposta il valore della proprietà codSpecializzazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCfAssistito

          public java.lang.String getCfAssistito()

      Recupera il valore della proprietà cfAssistito.
      Returns:
        possible object is `String`

    - #### setCfAssistito

          public void setCfAssistito(java.lang.String value)

      Imposta il valore della proprietà cfAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getArgomento

          public java.lang.String getArgomento()

      Recupera il valore della proprietà argomento.
      Returns:
        possible object is `String`

    - #### setArgomento

          public void setArgomento(java.lang.String value)

      Imposta il valore della proprietà argomento.
      Parameters:
        `value` - allowed object is `String`

    - #### getListaPiani

          public java.lang.String getListaPiani()

      Recupera il valore della proprietà listaPiani.
      Returns:
        possible object is `String`

    - #### setListaPiani

          public void setListaPiani(java.lang.String value)

      Imposta il valore della proprietà listaPiani.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataInizioPeriodo

          public java.lang.String getDataInizioPeriodo()

      Recupera il valore della proprietà dataInizioPeriodo.
      Returns:
        possible object is `String`

    - #### setDataInizioPeriodo

          public void setDataInizioPeriodo(java.lang.String value)

      Imposta il valore della proprietà dataInizioPeriodo.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataFinePeriodo

          public java.lang.String getDataFinePeriodo()

      Recupera il valore della proprietà dataFinePeriodo.
      Returns:
        possible object is `String`

    - #### setDataFinePeriodo

          public void setDataFinePeriodo(java.lang.String value)

      Imposta il valore della proprietà dataFinePeriodo.
      Parameters:
        `value` - allowed object is `String`